summaryrefslogtreecommitdiff
path: root/dev-python/python-fastimport/python-fastimport-0.9.8-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-20 00:31:47 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-20 00:31:47 +0000
commitf63ca02c615a685d3370026e9e9febd8717a3b5e (patch)
treed2c8ab9b5c5323804bf22dc6fcb100fa2eada95c /dev-python/python-fastimport/python-fastimport-0.9.8-r1.ebuild
parentfabeda808f54f896855adbfbb21e491e51ab9c82 (diff)
downloadbaldeagleos-repo-f63ca02c615a685d3370026e9e9febd8717a3b5e.tar.gz
baldeagleos-repo-f63ca02c615a685d3370026e9e9febd8717a3b5e.tar.xz
baldeagleos-repo-f63ca02c615a685d3370026e9e9febd8717a3b5e.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-fastimport/python-fastimport-0.9.8-r1.ebuild')
-rw-r--r--dev-python/python-fastimport/python-fastimport-0.9.8-r1.ebuild26
1 files changed, 26 insertions, 0 deletions
diff --git a/dev-python/python-fastimport/python-fastimport-0.9.8-r1.ebuild b/dev-python/python-fastimport/python-fastimport-0.9.8-r1.ebuild
new file mode 100644
index 000000000000..ee7c9ad29e36
--- /dev/null
+++ b/dev-python/python-fastimport/python-fastimport-0.9.8-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="${PN#python-}"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Library for parsing the fastimport VCS serialization format"
+HOMEPAGE="https://github.com/jelmer/python-fastimport"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ppc ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+ "${EPYTHON}" -m unittest -v fastimport.tests.test_suite \
+ || die "Tests fail with ${EPYTHON}"
+}